%define anolis_release 1

Name: libvirt-glib
Version: 5.0.0
Release: %{anolis_release}%{?dist}
Summary: libvirt glib integration for events
License: LGPL-2.1-or-later
URL: https://libvirt.org/
Source0: https://libvirt.org/sources/glib/%{name}-%{version}.tar.xz

BuildRequires: meson >= 0.50.0
BuildRequires: /usr/bin/python3
BuildRequires: pkgconfig(gio-2.0) >= 2.48.0
BuildRequires: pkgconfig(gio-2.0) >= 2.66
BuildRequires: pkgconfig(glib-2.0) >= 2.48.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.48.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.66
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gthread-2.0) >= 2.66
BuildRequires: pkgconfig(libvirt) >= 1.2.8
BuildRequires: pkgconfig(libxml-2.0) >= 2.9.1
BuildRequires: pkgconfig(rest-1.0) >= 0.9
BuildRequires: vala
BuildRequires: gettext
BuildRequires: gtk-doc

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: libvirt glib integration for events development files
Requires: %{name} = %{version}-%{release}

%package -n libvirt-gconfig
Summary: libvirt object APIs for processing object configuration

%package -n libvirt-gobject
Summary: libvirt object APIs for managing virtualization hosts

%package -n libvirt-gconfig-devel
Summary: libvirt object APIs for processing object configuration development files
Requires: libvirt-gconfig = %{version}-%{release}

%package -n libvirt-gobject-devel
Summary: libvirt object APIs for managing virtualization hosts development files
Requires: %{name}-devel = %{version}-%{release}
Requires: libvirt-gconfig-devel = %{version}-%{release}
Requires: libvirt-gobject = %{version}-%{release}
Requires: libvirt-devel

%description
This package provides integration between libvirt and the glib
event loop.

%description devel
This package provides development header files and libraries for
integration between libvirt and the glib event loop.

%description -n libvirt-gconfig
This package provides APIs for processing the object configuration
data

%description -n libvirt-gconfig-devel
This package provides development header files and libraries for
the object configuration APIs.

%description -n libvirt-gobject
This package provides APIs for managing virtualization host
objects

%description -n libvirt-gobject-devel
This package provides development header files and libraries for
managing virtualization host objects

%prep
%autosetup -p1

%build
%meson -Drpath=disabled
%meson_build

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_libdir}/libvirt-glib-1.0.so.*
%{abidir}/libvirt-glib-1.0.dump
%{_libdir}/girepository-1.0/LibvirtGLib-1.0.typelib

%files doc
%doc README AUTHORS NEWS

%files -n libvirt-gconfig
%{_libdir}/libvirt-gconfig-1.0.so.*
%{abidir}/libvirt-gconfig-1.0.dump
%{_libdir}/girepository-1.0/LibvirtGConfig-1.0.typelib

%files -n libvirt-gobject
%{_libdir}/libvirt-gobject-1.0.so.*
%{abidir}/libvirt-gobject-1.0.dump
%{_libdir}/girepository-1.0/LibvirtGObject-1.0.typelib

%files devel
%doc examples/event-test.c
%{_libdir}/libvirt-glib-1.0.so
%{_libdir}/pkgconfig/libvirt-glib-1.0.pc
%{_includedir}/libvirt-glib-1.0
%{_datadir}/gir-1.0/LibvirtGLib-1.0.gir
%{_datadir}/gtk-doc/html/Libvirt-glib
%{_datadir}/vala/vapi/libvirt-glib-1.0.deps
%{_datadir}/vala/vapi/libvirt-glib-1.0.vapi

%files -n libvirt-gconfig-devel
%doc examples/event-test.c
%{_libdir}/libvirt-gconfig-1.0.so
%{_libdir}/pkgconfig/libvirt-gconfig-1.0.pc
%{_includedir}/libvirt-gconfig-1.0
%{_datadir}/gir-1.0/LibvirtGConfig-1.0.gir
%{_datadir}/gtk-doc/html/Libvirt-gconfig
%{_datadir}/vala/vapi/libvirt-gconfig-1.0.deps
%{_datadir}/vala/vapi/libvirt-gconfig-1.0.vapi

%files -n libvirt-gobject-devel
%doc examples/event-test.c
%{_libdir}/libvirt-gobject-1.0.so
%{_libdir}/pkgconfig/libvirt-gobject-1.0.pc
%{_includedir}/libvirt-gobject-1.0
%{_datadir}/gir-1.0/LibvirtGObject-1.0.gir
%{_datadir}/gtk-doc/html/Libvirt-gobject
%{_datadir}/vala/vapi/libvirt-gobject-1.0.deps
%{_datadir}/vala/vapi/libvirt-gobject-1.0.vapi

%changelog
* Thu Feb 20 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.0.0-1
- Update to 5.0.0 from 4.0.0
- Migrated to SPDX license
- 无相关CVE修复
- Remove patch as the new version of tarball already includes changes.

* Fri Mar 31 2023 Funda Wang <fundawang@yeah.net> - 4.0.0-4
- Import package for anolis 23
